/*
 * keymap.h
 * 
 * Contains character arrays for translating key scan codes into characters. 
 * The 8-bit key scan code is used as an index into the arrays
 */

// Normal characters
const char   keymap[128] PROGMEM = {'?','?','?','?','?','?','?','?','?','?','?','?','?','?','`','?','?','?','?','?','?','q','1','?','?','?','z','s','a','w','2','?','?','c','x','d','e','4','3','?','?',' ','v','f','t','r','5','?','?','n','b','h','g','y','6','?','?','?','m','j','u','7','8','?','?',',','k','i','o','0','9','?','?','.','/','l',';','p','-','?','?','?','\'','?','[','=','?','?','?','?','?',']','?','\\','?','?','?','?','?','?','?','?','?','?','?','?','?','<','?','?','?','?','?','?','v','?','>','^','?','?','?','?','?','?','?','?','?','?'};

// <Shift> key pressed
const char shiftmap[128] PROGMEM = {'?','?','?','?','?','?','?','?','?','?','?','?','?','?','~','?','?','?','?','?','?','Q','!','?','?','?','Z','S','A','W','@','?','?','C','X','D','E','$','#','?','?',' ','V','F','T','R','%','?','?','N','B','H','G','Y','^','?','?','?','M','J','U','&','*','?','?','<','K','I','O',')','(','?','?','>','?','L',':','P','_','?','?','?','"' ,'?','{','+','?','?','?','?','?','}','?','|' ,'?','?','?','?','?','?','?','?','?','?','?','?','?','<','?','?','?','?','?','?','v','?','>','^','?','?','?','?','?','?','?','?','?','?'};
